export const serviceURL: URL;
/** @type {import('@ucanto/interface').Principal} */
export const servicePrincipal: import('@ucanto/interface').Principal;
/** @type {import('@ucanto/interface').ConnectionView<import('../server/service/api').Service>} */
export const connection: import('@ucanto/interface').ConnectionView<import('../server/service/api').Service>;
/**
 * Extracts content claims from blocks, verifying hashes.
 * TODO: verify claim signatures.
 *
 * @extends {TransformStream<import('carstream/api').Block, import('./api').Claim>}
 */
export class ClaimReaderStream extends TransformStream<import("carstream/api").Block, import("./api").Claim> {
    /**
     * @param {QueuingStrategy<import('carstream/api').Block>} [writableStrategy]
     * @param {QueuingStrategy<import('./api').Claim>} [readableStrategy]
     */
    constructor(writableStrategy?: QueuingStrategy<import("carstream/api").Block> | undefined, readableStrategy?: QueuingStrategy<import("./api").Claim> | undefined);
}
export function fetch(content: import('@ucanto/client').UnknownLink, options?: FetchOptions | undefined): Promise<Response>;
export function read(content: import('@ucanto/client').UnknownLink, options?: FetchOptions | undefined): Promise<import('./api').Claim[]>;
/**
 * Fetch a CAR archive of claims from the service. Note: no verification is
 * performed on the response data.
 */
export type FetchOptions = {
    walk?: Array<'parts' | 'includes' | 'children'>;
    serviceURL?: URL;
};
import { connect } from '@ucanto/client';
import { invoke } from '@ucanto/client';
import { delegate } from '@ucanto/client';
import { CAR } from '@ucanto/transport';
import { HTTP } from '@ucanto/transport';
export { connect, invoke, delegate, CAR, HTTP };
//# sourceMappingURL=index.d.ts.map